> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensecrets/industries

> Get an industry / interest-group money-in-politics profile by industry code

**Price:** 10 credits

**⚠️ Common errors:** 412: Industry not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/opensecrets/industries
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensecrets/industries:
    post:
      tags:
        - /opensecrets
      summary: /opensecrets/industries
      description: >-
        Get an industry / interest-group money-in-politics profile by industry
        code


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Industry not found
      operationId: __api_opensecrets_industries_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpensecretsIndustryPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpensecretsIndustry'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpensecretsIndustryPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        ind:
          type: string
        cycle:
          $ref: '#/components/schemas/OpensecretsCycle'
          default: '2024'
      type: object
      required:
        - ind
    OpensecretsIndustry:
      properties:
        '@type':
          type: string
          default: OpensecretsIndustry
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        cycle:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        top_contributors:
          items:
            $ref: '#/components/schemas/OpensecretsIndustryContributor'
          type: array
          default: []
        top_recipients:
          items:
            $ref: '#/components/schemas/OpensecretsIndustryRecipient'
          type: array
          default: []
        top_lobbying_clients:
          items:
            $ref: '#/components/schemas/OpensecretsIndustryLobbyingClient'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpensecretsCycle:
      type: string
      enum:
        - a
        - '2026'
        - '2024'
        - '2022'
        - '2020'
        - '2018'
        - '2016'
        - '2014'
        - '2012'
        - '2010'
        - '2008'
        - '2006'
        - '2004'
        - '2002'
        - '2000'
        - '1998'
        - '1996'
        - '1994'
        - '1992'
        - '1990'
    OpensecretsIndustryContributor:
      properties:
        '@type':
          type: string
          default: OpensecretsIndustryContributor
        name:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: integer
            - type: 'null'
        to_democrats:
          anyOf:
            - type: integer
            - type: 'null'
        to_republicans:
          anyOf:
            - type: integer
            - type: 'null'
        to_liberal_groups:
          anyOf:
            - type: integer
            - type: 'null'
        to_conservative_groups:
          anyOf:
            - type: integer
            - type: 'null'
        to_nonpartisan_groups:
          anyOf:
            - type: integer
            - type: 'null'
        lean:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpensecretsIndustryRecipient:
      properties:
        '@type':
          type: string
          default: OpensecretsIndustryRecipient
        name:
          anyOf:
            - type: string
            - type: 'null'
        chamber:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    OpensecretsIndustryLobbyingClient:
      properties:
        '@type':
          type: string
          default: OpensecretsIndustryLobbyingClient
        name:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````